API referenceTikTok Business

DELETE /api/v1/accounts/{id}/tiktok-business/posts/{postId}/ad-authorization

Deletes the post's Spark Ads authorization code (/business/post/authorize/delete/). Queued for approval (202) while approval applies

DELETE
/api/v1/accounts/{id}/tiktok-business/posts/{postId}/ad-authorization

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

postId*string

TikTok post id, or a Postgale post id published to this account

Response Body

{accountId, platform, authorization}

application/json
  1. response
accountId?string
platform?string
authorization?
Example Request
curl -X DELETE 'https://example.com/api/v1/accounts/string/tiktok-business/posts/string/ad-authorization'
Example Response
{  "accountId": "string",  "platform": "string",  "authorization": {    "postId": "string",    "enabled": true,    "authCode": "string",    "status": "string",    "startTime": "string",    "endTime": "string",    "days": 0  }}